serialize_str
3

# serialize_str

string serialization

    #include <cds/serialize.h>

      int serialize_str
      sstream_t *ss
      str_t *s

## Description

Serializes string. This means that in the case of input stream this functions reads string from the stream (allocated using cds_malloc), in the case of output stream it writes the given string into that stream.

## Return value

Returns 0 on success, non-zero on error.

## See Also

, , , ,